%define _prefix	/usr

Name: btanks
Version: 0.6.5069
Release: alt1.qa1

Summary: Battle Tanks is a funny battle on your desk

Packager: Ilya Mashkin <oddity at altlinux.ru>

Group: Games/Arcade
License: GPL
Url: http://btanks.sourceforge.net/eng/
Source: %name-%version.tar.bz2
Patch: %name-SConstruct.diff

BuildRequires: hd2u libalut-devel gcc-c++ ImageMagick libmesa-devel libSDL-devel libSDL_image-devel libsigc++2.0-devel libvorbis-devel pkgconfig libopenal-devel scons zlib-devel

Requires: libalut libopenal libSDL libSDL_image

%description
Battle Tanks is a funny battle on your desk, where you can
choose one of three vehicles and eliminate your enemy using
the whole arsenal of weapons. has original cartoon-like
graphics and cool music, it is fun and dynamic, it has
several network modes for deathmatch and cooperative
.. what else is needed to have fun with your friends?

And all is packed and ready for you in Battle Tanks.



%prep
%setup -q -n %name-%version
%patch

dos2unix     *.txt ChangeLog *.url LICENSE
%__chmod 644 *.txt ChangeLog *.url LICENSE

%build
scons %{?jobs:-j%jobs} \
	prefix=%prefix \
	resources_dir=%_datadir/%name \
	mode=release

%install
%__install -dm 755 %buildroot%_bindir
%__install -m 755 bt \
	%buildroot%_bindir

%__install -dm 755 %buildroot%_libdir
%__install -m 644 *.so \
	%buildroot%_libdir

%__install -dm 755 %buildroot%_datadir/%name/data
%__cp -R data/* \
	%buildroot%_datadir/%name/data

# the game is looking for those libs in the datadir folder ...
# should be fixed according the author in next release
%__ln_s %_libdir/libbt_objects.so \
	%buildroot%_datadir/%name/libbt_objects.so
%__ln_s %_libdir/libbt.so \
	%buildroot%_datadir/%name/libbt.so

# icon
%__install -dm 755 %buildroot%_datadir/pixmaps
convert src/bt.xpm -resize 48x48! \
	%name.png
%__install -m 644 %name.png \
	%buildroot%_datadir/pixmaps

# menu-entry
%__install -dm 755 %buildroot%_datadir/applications
%__cat > %buildroot%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Type=Application
Name=Battle Tanks
Comment='Battle Tanks' is a funny battle on your desk
Exec=bt
Icon=%name
Encoding=UTF-8
Categories=Game;ActionGame;
EOF

%postun -n btanks
%clean_menus


%post -n btanks
%update_menus



%clean
[ -d %buildroot -a "%buildroot" != "" ] && %__rm -rf %buildroot

%files
%doc *.txt ChangeLog *.url LICENSE
%_bindir/bt
%_libdir/*.so
%dir %_datadir/%name
%_datadir/%name/*.so
%dir %_datadir/%name/data
%_datadir/%name/data/*
%_datadir/pixmaps/%name.png
%_datadir/applications/%{name}*.desktop

%changelog
* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 0.6.5069-alt1.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for btanks

* Sat Dec 22 2007 Ilya Mashkin <oddity@altlinux.ru> 0.6.5069-alt1
- First Build for Sisyphus

* Fri Oct 05 2007 Toni Graffy <toni@links2linux.de> - 0.6.5069-0.pm.1
- update to 0.5.4800
* Sat Sep 01 2007 Toni Graffy <toni@links2linux.de> - 0.5.4800-0.pm.1
- update to 0.5.4800
* Wed Aug 29 2007 Toni Graffy <toni@links2linux.de> - 0.5.4794-0.pm.1
- update to 0.5.4794
* Wed Aug 15 2007 Toni Graffy <toni@links2linux.de> - 0.5.4740-0.pm.1
- update to 0.5.4740
* Mon Jul 30 2007 Toni Graffy <toni@links2linux.de> - 0.5.4549-0.pm.1
- Initial rpm build 0.5.4549
